package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.BmUnitInfo;
import com.bonus.sgzb.system.api.domain.SysUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmUnitInfoMapper {
    public List<BmUnitInfo> getUnitInfoAll(BmUnitInfo bmUnitInfo);


    public List<BmUnitInfo> selectTypeList(BmUnitInfo bmUnitInfo);


    public List<SysUser> getUserAll(SysUser sysUser);

    public List<BmUnitInfo> getUnitInfo(BmUnitInfo bmUnitInfo);

    public int unitInfoAdd(BmUnitInfo bmUnitInfo);

    public void remove(Long[] unitIds);

    public int updateBmUnitInfo(BmUnitInfo bmUnitInfo);

    public int deleteUnitInfoById(Long unitId);

    BmUnitInfo selectByName(String unitName);
}
